Package org.mariadb.jdbc.util.log

## Interface Logger

All Known Implementing Classes:
  `ConsoleLogger`, `JdkLogger`, `NoLogger`, `Slf4JLogger`

    public interface Logger

Logger interface

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `debug​(String msg)` Log a message at the DEBUG level.
`void` `debug​(String format, Object... arguments)` Log a message at the DEBUG level.
`void` `debug​(String msg, Throwable t)` Log a message with an error at the DEBUG level.
`void` `error​(String msg)` Log a message at the ERROR level.
`void` `error​(String format, Object... arguments)` Log a message at the ERROR level.
`void` `error​(String msg, Throwable t)` Log a message with an error at the ERROR level.
`String` `getName()` Logger name
`void` `info​(String msg)` Log a message at the INFO level.
`void` `info​(String format, Object... arguments)` Log a message at the INFO level.
`void` `info​(String msg, Throwable t)` Log a message with an error at the INFO level.
`boolean` `isDebugEnabled()` must DEBUG level message be logged
`boolean` `isErrorEnabled()` Must ERROR level be logged
`boolean` `isInfoEnabled()` Must INFO level be logged
`boolean` `isTraceEnabled()` Must TRACE level be logged
`boolean` `isWarnEnabled()` Must WARN level be logged
`void` `trace​(String msg)` Log a message at the TRACE level.
`void` `trace​(String format, Object... arguments)` Log a message at the TRACE level.
`void` `trace​(String msg, Throwable t)` Log a message with an error at the TRACE level.
`void` `warn​(String msg)` Log a message at the WARN level.
`void` `warn​(String format, Object... arguments)` Log a message at the WARNING level.
`void` `warn​(String msg, Throwable t)` Log a message with an error at the WARNING level.

### Method Detail

#### getName

    String getName()

Logger name

Returns:
  logger name

#### isTraceEnabled

    boolean isTraceEnabled()

Must TRACE level be logged

Returns:
  if TRACE level be logger

#### trace

    void trace​(String msg)

Log a message at the TRACE level.

Parameters:
  `msg` - the message string to be logged

#### trace

    void trace​(String format,
               Object... arguments)

Log a message at the TRACE level.

Parameters:
  `format` - the format string
  `arguments` - arguments

#### trace

    void trace​(String msg,
               Throwable t)

Log a message with an error at the TRACE level.

Parameters:
  `msg` - message
  `t` - error

#### isDebugEnabled

    boolean isDebugEnabled()

must DEBUG level message be logged

Returns:
  are DEBUG message to be logged

#### debug

    void debug​(String msg)

Log a message at the DEBUG level.

Parameters:
  `msg` - the message string to be logged

#### debug

    void debug​(String format,
               Object... arguments)

Log a message at the DEBUG level.

Parameters:
  `format` - the format string
  `arguments` - arguments

#### debug

    void debug​(String msg,
               Throwable t)

Log a message with an error at the DEBUG level.

Parameters:
  `msg` - message
  `t` - error

#### isInfoEnabled

    boolean isInfoEnabled()

Must INFO level be logged

Returns:
  if INFO level be logger

#### info

    void info​(String msg)

Log a message at the INFO level.

Parameters:
  `msg` - the message string to be logged

#### info

    void info​(String format,
              Object... arguments)

Log a message at the INFO level.

Parameters:
  `format` - the format string
  `arguments` - arguments

#### info

    void info​(String msg,
              Throwable t)

Log a message with an error at the INFO level.

Parameters:
  `msg` - message
  `t` - error

#### isWarnEnabled

    boolean isWarnEnabled()

Must WARN level be logged

Returns:
  if WARN level be logger

#### warn

    void warn​(String msg)

Log a message at the WARN level.

Parameters:
  `msg` - the message string to be logged

#### warn

    void warn​(String format,
              Object... arguments)

Log a message at the WARNING level.

Parameters:
  `format` - the format string
  `arguments` - arguments

#### warn

    void warn​(String msg,
              Throwable t)

Log a message with an error at the WARNING level.

Parameters:
  `msg` - message
  `t` - error

#### isErrorEnabled

    boolean isErrorEnabled()

Must ERROR level be logged

Returns:
  if ERROR level be logger

#### error

    void error​(String msg)

Log a message at the ERROR level.

Parameters:
  `msg` - the message string to be logged

#### error

    void error​(String format,
               Object... arguments)

Log a message at the ERROR level.

Parameters:
  `format` - the format string
  `arguments` - arguments

#### error

    void error​(String msg,
               Throwable t)

Log a message with an error at the ERROR level.

Parameters:
  `msg` - message
  `t` - error